Package com.google.cloud.spanner

# Class JdbcDataTypeConverter

java.lang.Object
com.google.cloud.spanner.JdbcDataTypeConverter

@InternalApi public class JdbcDataTypeConverter extends Object

## Constructor Summary

Constructors
Constructor
Description
`JdbcDataTypeConverter()`

## Method Summary

Modifier and Type
Method
Description
`static com.google.cloud.spanner.Type`
`toSpannerType(com.google.spanner.v1.Type proto)`
Converts a protobuf type to a Spanner type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JdbcDataTypeConverter

public JdbcDataTypeConverter()

## Method Details

### toSpannerType

@InternalApi public static com.google.cloud.spanner.Type toSpannerType(com.google.spanner.v1.Type proto)
Converts a protobuf type to a Spanner type.